package com.onsiteservice.admin.controller.sys.vo;
import com.onsiteservice.entity.sys.vo.MenuTreeVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @author 潘维吉
 * @date 2020/3/7 14:41
 * @email 406798106@qq.com
 * @description 登录初始化数据
 */
@Getter
@Setter
@ToString
public class LoginInitVO<T, E> {
    /**
     * 当前登录用户
     */
    private T userInfo;

    /**
     * 菜单树
     */
    private List<MenuTreeVO> menuList;

    /**
     * 业务操作集合
     */
    private List<E> operateList;
}
